Author Topic: AutoCAD 2008  (Read 15338 times)

0 Members and 1 Guest are viewing this topic.

Josh Nieman

  • Guest
Re: AutoCAD 2008
« Reply #15 on: March 27, 2007, 03:42:46 PM »
<looking in mailbox>
still nothing  =:/
<looking in mailbox>
still nothing  =:/

Me too!   :-(


haha... i feel bad for you guys... for some reason... we just got a SECOND shipment in the mail, lol.

1st dibs...I got 1st dibs... :evil:

 :-D

Kate M

  • Guest
Re: AutoCAD 2008
« Reply #16 on: March 27, 2007, 03:54:25 PM »
<looking in mailbox>
still nothing  =:/

Me too!   :-(

Me three...not that I get to install it when it gets here, seeing as how we launched 2007 yesterday... 8-)

drizzt

  • Guest
Re: AutoCAD 2008
« Reply #17 on: March 27, 2007, 04:31:40 PM »
Wow!!!

When you people started the posts on 07 there where a lot of complaint... not even one for 08??

Josh Nieman

  • Guest
Re: AutoCAD 2008
« Reply #18 on: March 27, 2007, 04:47:20 PM »
Wow!!!

When you people started the posts on 07 there where a lot of complaint... not even one for 08??

I have minimal complaints about 07..  to be fair, I think a lot of complaints come with the changes.  There were the biggest changes done to 07, from a bit of the interface to people even still hating CUIs, and even better yet a whole new file version which causes communication delays at times when you have to find out who has 07... who doesn't... yadda yadda.

08.. nothing's new stuff that you don't HAVE to use.  It's not imposing on anyones status quo.  There are some changes to existing things, but they are not mandatory.  It's all additions, not really (m)any changes.

pmvliet

  • Guest
Re: AutoCAD 2008
« Reply #19 on: March 27, 2007, 05:32:54 PM »
I got my notification email on Friday the 23rd that is was shipping. So it should be here soon enough...

Pieter

whdjr

  • Guest
Re: AutoCAD 2008
« Reply #20 on: March 27, 2007, 05:39:05 PM »
I got my notice today.   :-)

ronjonp

  • Needs a day job
  • Posts: 7527
Re: AutoCAD 2008
« Reply #21 on: March 27, 2007, 06:24:01 PM »
Just got mine today and made my first annotative scaling text....pretty cool.
You can also overlay Microstation V8+ drawings now! :-)

Ron

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Birdy

  • Guest
Re: AutoCAD 2008
« Reply #22 on: March 27, 2007, 09:08:38 PM »
still got nothin.
just a lump of coal.

Birdy

  • Guest
Re: AutoCAD 2008
« Reply #23 on: March 27, 2007, 09:12:06 PM »
<looking in mailbox>
still nothing  =:/
<looking in mailbox>
still nothing  =:/

Me too!   :-(


haha... i feel bad for you guys... for some reason... we just got a SECOND shipment in the mail, lol.
meh.
'sokay.
I wont even open it till probably June, and install it then.  Mess around with stuff for a few weeks, maybe more.  Roll out to everyone else in August.
By then y'all will have figured out the bad stuff so I wont step in any poo.
TIA. :)

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: AutoCAD 2008
« Reply #24 on: March 27, 2007, 11:16:44 PM »
I loaded the "official" DVD last night.

I didn't migrate CUI's .. just re-ran partial Menuloads, appended to the PGP and manually loaded the Palette stuff we use.

Piece of cake !!

Chuck Gabriels Hotkeys STILL works great.

Lispy stuff runs.

Dont use VBA, so who cares ..

Jon's ADOLisp Library works

All my doc management stuff runs.

OpenDCL dialogs all work.

My NET stuff has been rebuilt and works without a hickup.

If I drank, I'd go down to the pub for a beer and lunch.





 
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

hudster

  • Gator
  • Posts: 2848
Re: AutoCAD 2008
« Reply #25 on: March 28, 2007, 03:20:11 AM »
first annoyance, I use this lisp all the time, so this is not too good for me.

Quote
error: no function definition:
VLAX-ENAME->VLA-OBJECT

Code: [Select]
when using this lisp
;;  Function to copy blocks from one point to another

(defun c:RB
       (/      ent1   ent2   obj1   obj2   pt1
pt2    x      ss     index  keyw   rot
r2d    copyobj
       )
  (while
    (= ent1 nil)
     (setq ent1 (car (entsel "\n Select block to copy: ")))
     (if (= ent1 nil)
       (alert "\n You missed, try again...")
     )
  )
  (while
    (= ent2 nil)
     (setq ent2 (car (entsel "\n Select block you want to swap: ")))
     (if (= ent2 nil)
       (alert "\n You missed, try again...")
     )
  )
  (setq obj1 (vlax-ename->vla-object ent1)
pt1  (trans (vlax-get obj1 'insertionpoint) 0 1)
  )
  (setq obj2 (vlax-ename->vla-object ent2)
x    (vlax-get-property obj2 'Name)
  )
  (if
    (and
      (= (vla-get-ObjectName Obj1) "AcDbBlockReference")
      (not (vlax-property-available-p Obj1 'Path))
    )
     (progn
       (if (not *default*)
(setq *default* "Select")
       )
       (initget 0 "Select All")
       (setq keyw
      (cond
((getkword
   (strcat "\nEnter selection option (Select / All): <<"
   *default*
   ">>: "
   )
)
)
(*default*)
      )
       )
       (setq *default* keyw)
       (cond
((= Keyw "Select") (setq SS (ssget (list (cons '2 x)))))
((= Keyw "All") (setq SS (ssget "X" (list (cons '2 x)))))
       )
       (setq
index -1
       )
       (while (< (setq index (1+ index)) (sslength ss))
(setq obj     (ssname ss index)
       obj2    (vlax-ename->vla-object obj)
       pt2     (trans (vlax-get obj2 'insertionpoint) 0 1)
       rot     (vlax-get obj2 'Rotation)
       copyobj (vlax-invoke obj1 'Copy)
)
(vla-put-rotation copyobj rot)
(vlax-invoke copyobj 'Move pt1 pt2)
       )
     )
  )
  (princ)
  (command "_erase" ss "")
  (princ)
  (princ (strcat "\nBlocks swapped - " (itoa index)))
)
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: AutoCAD 2008
« Reply #26 on: March 28, 2007, 03:38:30 AM »
first annoyance, I use this lisp all the time, so this is not too good for me.

Quote
error: no function definition:
VLAX-ENAME->VLA-OBJECT

You're not holding your mouth quite right Andy .. try again.
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

Josh Nieman

  • Guest
Re: AutoCAD 2008
« Reply #27 on: March 28, 2007, 09:00:39 AM »
I loaded the "official" DVD last night.

----

Yea, I think I took it for granted, but all my LSP files continued working flawless (well... the ones that were flawless before ;) ) and Al's Steel Mill still works 100%  :lol:  I guess that's about the only LSP that I would never want to try and trouble shoot, that I use, heh.

ronjonp

  • Needs a day job
  • Posts: 7527
Re: AutoCAD 2008
« Reply #28 on: March 28, 2007, 09:33:55 AM »
first annoyance, I use this lisp all the time, so this is not too good for me.

Quote
error: no function definition:
VLAX-ENAME->VLA-OBJECT

Code: [Select]
when using this lisp
;;  Function to copy blocks from one point to another

(defun c:RB
       (/      ent1   ent2   obj1   obj2   pt1
pt2    x      ss     index  keyw   rot
r2d    copyobj
       )
  (while
    (= ent1 nil)
     (setq ent1 (car (entsel "\n Select block to copy: ")))
     (if (= ent1 nil)
       (alert "\n You missed, try again...")
     )
  )
  (while
    (= ent2 nil)
     (setq ent2 (car (entsel "\n Select block you want to swap: ")))
     (if (= ent2 nil)
       (alert "\n You missed, try again...")
     )
  )
  (setq obj1 (vlax-ename->vla-object ent1)
pt1  (trans (vlax-get obj1 'insertionpoint) 0 1)
  )
  (setq obj2 (vlax-ename->vla-object ent2)
x    (vlax-get-property obj2 'Name)
  )
  (if
    (and
      (= (vla-get-ObjectName Obj1) "AcDbBlockReference")
      (not (vlax-property-available-p Obj1 'Path))
    )
     (progn
       (if (not *default*)
(setq *default* "Select")
       )
       (initget 0 "Select All")
       (setq keyw
      (cond
((getkword
   (strcat "\nEnter selection option (Select / All): <<"
   *default*
   ">>: "
   )
)
)
(*default*)
      )
       )
       (setq *default* keyw)
       (cond
((= Keyw "Select") (setq SS (ssget (list (cons '2 x)))))
((= Keyw "All") (setq SS (ssget "X" (list (cons '2 x)))))
       )
       (setq
index -1
       )
       (while (< (setq index (1+ index)) (sslength ss))
(setq obj     (ssname ss index)
       obj2    (vlax-ename->vla-object obj)
       pt2     (trans (vlax-get obj2 'insertionpoint) 0 1)
       rot     (vlax-get obj2 'Rotation)
       copyobj (vlax-invoke obj1 'Copy)
)
(vla-put-rotation copyobj rot)
(vlax-invoke copyobj 'Move pt1 pt2)
       )
     )
  )
  (princ)
  (command "_erase" ss "")
  (princ)
  (princ (strcat "\nBlocks swapped - " (itoa index)))
)

Hint: (vl-load-com) :)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

hudster

  • Gator
  • Posts: 2848
Re: AutoCAD 2008
« Reply #29 on: March 28, 2007, 09:47:46 AM »
Seriously, that means nothing to me, i can use lisp for basic commands only. vl-blah blah is to hard for me to get yet.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue